Jenkins
=======

Version details
---------------

  * Version: `2.89.3.4`
  * Mode:    WAR
  * Url:     http://student-11.training-pipeline-intro.class-dfs.cloudbees-training.com:5000/jenkins/
  * Servlet container
      - Specification: 3.1
      - Name:          `jetty/9.4.z-SNAPSHOT`
  * Java
      - Home:           `/usr/lib/jvm/java-1.8-openjdk/jre`
      - Vendor:           Oracle Corporation
      - Version:          1.8.0_121
      - Maximum memory:   988.00 MB (1035993088)
      - Allocated memory: 988.00 MB (1035993088)
      - Free memory:      783.55 MB (821615688)
      - In-use memory:    204.45 MB (214377400)
      - GC strategy:      ParallelGC
  * Java Runtime Specification
      - Name:    Java Platform API Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Specification
      - Name:    Java Virtual Machine Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Implementation
      - Name:    OpenJDK 64-Bit Server VM
      - Vendor:  Oracle Corporation
      - Version: 25.121-b13
  * Operating system
      - Name:         Linux
      - Architecture: amd64
      - Version:      4.4.0-1050-aws
  * Process ID: 5 (0x5)
  * Process started: 2018-02-06 16:13:32.178+0000
  * Process uptime: 1 hr 28 min
  * JVM startup parameters:
      - Boot classpath: `/usr/lib/jvm/java-1.8-openjdk/jre/lib/resources.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/rt.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/jsse.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/jce.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/charsets.jar:/usr/lib/jvm/java-1.8-openjdk/jre/lib/jfr.jar:/usr/lib/jvm/java-1.8-openjdk/jre/classes`
      - Classpath: `/usr/share/jenkins/jenkins.war`
      - Library path: `/usr/lib/jvm/java-1.8-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-1.8-openjdk/jre/lib/amd64:/usr/lib/jvm/java-1.8-openjdk/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
      - arg[0]: `-Djenkins.install.runSetupWizard=false`
      - arg[1]: `-Dcb.IMProp.fsProfiles=/cloudbees-plugins-profile.json`
      - arg[2]: `-Dhudson.TcpSlaveAgentListener.hostName=jenkins`
      - arg[3]: `-Dhudson.TcpSlaveAgentListener.port=8080`
      - arg[4]: `-Xms1024m`
      - arg[5]: `-Xmx1024m`

Important configuration
---------------

  * Security realm: `hudson.security.HudsonPrivateSecurityRealm`
  * Authorization strategy: `hudson.security.FullControlOnceLoggedInAuthorizationStrategy`
  * CSRF Protection: true
  * Initialization Milestone: Completed initialization

Active Plugins
--------------

  * ace-editor:1.1 'JavaScript GUI Lib: ACE Editor bundle plugin'
  * ant:1.7 'Ant Plugin'
  * antisamy-markup-formatter:1.5 'OWASP Markup Formatter Plugin'
  * apache-httpcomponents-client-4-api:4.5.3-2.0 'Jenkins Apache HttpComponents Client 4.x API Plugin'
  * async-http-client:1.7.24.1 'Async Http Client'
  * authentication-tokens:1.3 'Authentication Tokens API Plugin'
  * aws-credentials:1.21 'CloudBees Amazon Web Services Credentials Plugin'
  * aws-java-sdk:1.11.119 'Amazon Web Services SDK'
  * blueocean:1.3.5 'Blue Ocean'
  * blueocean-autofavorite:1.1.0 'Autofavorite for Blue Ocean'
  * blueocean-bitbucket-pipeline:1.3.5 'Bitbucket Pipeline for Blue Ocean'
  * blueocean-commons:1.3.5 'Common API for Blue Ocean'
  * blueocean-config:1.3.5 'Config API for Blue Ocean'
  * blueocean-dashboard:1.3.5 'Dashboard for Blue Ocean'
  * blueocean-display-url:2.1.1 'Display URL for Blue Ocean'
  * blueocean-events:1.3.5 'Events API for Blue Ocean'
  * blueocean-git-pipeline:1.3.5 'Git Pipeline for Blue Ocean'
  * blueocean-github-pipeline:1.3.5 'GitHub Pipeline for Blue Ocean'
  * blueocean-i18n:1.3.5 'i18n for Blue Ocean'
  * blueocean-jira:1.3.5 'JIRA Integration for Blue Ocean'
  * blueocean-jwt:1.3.5 'JWT for Blue Ocean'
  * blueocean-personalization:1.3.5 'Personalization for Blue Ocean'
  * blueocean-pipeline-api-impl:1.3.5 'Pipeline implementation for Blue Ocean'
  * blueocean-pipeline-editor:1.3.5 'Blue Ocean Pipeline Editor'
  * blueocean-pipeline-scm-api:1.3.5 'Pipeline SCM API for Blue Ocean'
  * blueocean-rest:1.3.5 'REST API for Blue Ocean'
  * blueocean-rest-impl:1.3.5 'REST Implementation for Blue Ocean'
  * blueocean-web:1.3.5 'Web for Blue Ocean'
  * bouncycastle-api:2.16.2 'bouncycastle API Plugin'
  * branch-api:2.0.11 'Branch API Plugin'
  * build-timeout:1.18 'Jenkins build timeout plugin'
  * cloudbees-assurance:2.89.0.2 'Beekeeper Upgrade Assistant Plugin'
  * cloudbees-bitbucket-branch-source:2.2.3 'Bitbucket Branch Source Plugin'
  * cloudbees-blueocean-default-theme:0.3 'CloudBees Blue Ocean Default Theme'
  * cloudbees-folder:6.1.2 'Folders Plugin'
  * cloudbees-folders-plus:3.3 'CloudBees Folders Plus Plugin'
  * cloudbees-groovy-view:1.7 'CloudBees Groovy View Plugin'
  * cloudbees-ha:4.12 'CloudBees High Availability Management plugin'
  * cloudbees-jsync-archiver:5.6 'CloudBees Fast Archiving Plugin'
  * cloudbees-license:9.18 'CloudBees License Manager'
  * cloudbees-monitoring:2.7 'CloudBees Monitoring Plugin'
  * cloudbees-nodes-plus:1.16 'CloudBees Nodes Plus Plugin'
  * cloudbees-ssh-slaves:2.1 'CloudBees SSH Build Agents Plugin'
  * cloudbees-support:3.13 'CloudBees Support Plugin'
  * cloudbees-template:4.34 'CloudBees Template Plugin'
  * cloudbees-view-creation-filter:1.5 'CloudBees View Creation Filter Plugin'
  * cloudbees-workflow-template:2.7 'CloudBees Pipeline: Templates Plugin'
  * cloudbees-workflow-ui:2.1 'CloudBees Pipeline Stage View Extensions'
  * command-launcher:1.1 'Command Agent Launcher Plugin'
  * credentials:2.1.16 'Credentials Plugin'
  * credentials-binding:1.13 'Credentials Binding Plugin'
  * display-url-api:2.1.0 'Display URL API'
  * docker-commons:1.9 'Docker Commons Plugin'
  * docker-workflow:1.13 'Docker Pipeline'
  * durable-task:1.16 'Durable Task Plugin'
  * email-ext:2.61 'Email Extension Plugin'
  * favorite:2.3.1 'Favorite'
  * git:3.6.4 'Jenkins Git plugin'
  * git-client:2.6.0 'Jenkins Git client plugin'
  * git-server:1.7 'Jenkins GIT server Plugin'
  * gitea:1.0.3 'Gitea Plugin'
  * github:1.28.1 'GitHub plugin'
  * github-api:1.90 'GitHub API Plugin'
  * github-branch-source:2.2.6 'GitHub Branch Source Plugin'
  * gradle:1.26 'Gradle Plugin'
  * handlebars:1.1.1 'JavaScript GUI Lib: Handlebars bundle plugin'
  * htmlpublisher:1.14 'HTML Publisher plugin'
  * infradna-backup:3.35 'CloudBees Back-up Plugin'
  * jackson2-api:2.8.10.1 'Jackson 2 API Plugin'
  * jira:2.4.2 'Jenkins JIRA plugin'
  * jquery-detached:1.2.1 'JavaScript GUI Lib: jQuery bundles (jQuery and jQuery UI) plugin'
  * jsch:0.1.54.1 'Jenkins JSch dependency plugin'
  * junit:1.21 'JUnit Plugin'
  * ldap:1.18 'LDAP Plugin'
  * mailer:1.20 'Jenkins Mailer Plugin'
  * mapdb-api:1.0.9.0 'MapDB API Plugin'
  * matrix-auth:2.2 'Matrix Authorization Strategy Plugin'
  * matrix-project:1.12 'Matrix Project Plugin'
  * mercurial:2.2 'Jenkins Mercurial plugin'
  * metrics:3.1.2.10 'Metrics Plugin'
  * momentjs:1.1.1 'JavaScript GUI Lib: Moment.js bundle plugin'
  * nectar-license:8.7 'CloudBees Jenkins Enterprise License Entitlement Check'
  * nectar-rbac:5.19 'CloudBees Role-Based Access Control Plugin'
  * node-iterator-api:1.5.0 'Node Iterator API Plugin'
  * operations-center-agent:2.89.0.2 'Operations Center Agent'
  * operations-center-analytics-config:2.89.0.2 'Operations Center Analytics Configuration'
  * operations-center-analytics-reporter:2.89.0.2 'Operations Center Analytics Reporter'
  * operations-center-client:2.89.0.2 'Operations Center Client Plugin'
  * operations-center-cloud:2.89.0.1 'Operations Center Cloud'
  * operations-center-context:2.89.0.2 'Operations Center Context'
  * pam-auth:1.3 'PAM Authentication plugin'
  * pipeline-build-step:2.5.1 'Pipeline: Build Step'
  * pipeline-github-lib:1.0 'Pipeline: GitHub Groovy Libraries'
  * pipeline-graph-analysis:1.5 'Pipeline Graph Analysis Plugin'
  * pipeline-input-step:2.8 'Pipeline: Input Step'
  * pipeline-milestone-step:1.3.1 'Pipeline: Milestone Step'
  * pipeline-model-api:1.2.5 'Pipeline: Model API'
  * pipeline-model-declarative-agent:1.1.1 'Pipeline: Declarative Agent API'
  * pipeline-model-definition:1.2.5 'Pipeline: Declarative'
  * pipeline-model-extensions:1.2.5 'Pipeline: Declarative Extension Points API'
  * pipeline-rest-api:2.9 'Pipeline: REST API Plugin'
  * pipeline-stage-step:2.2 'Pipeline: Stage Step'
  * pipeline-stage-tags-metadata:1.2.5 'Pipeline: Stage Tags Metadata'
  * pipeline-stage-view:2.9 'Pipeline: Stage View Plugin'
  * plain-credentials:1.4 'Plain Credentials Plugin'
  * pubsub-light:1.12 'Jenkins Pub-Sub "light" Bus'
  * scm-api:2.2.2 'SCM API Plugin'
  * script-security:1.39 'Script Security Plugin'
  * sse-gateway:1.15 'Server Sent Events (SSE) Gateway Plugin'
  * ssh-credentials:1.13 'SSH Credentials Plugin'
  * structs:1.10 'Structs Plugin'
  * support-core:2.44 'Support Core Plugin'
  * token-macro:2.1 'Token Macro Plugin'
  * unique-id:2.1.3 'Unique ID Library Plugin'
  * variant:1.1 'Variant Plugin'
  * wikitext:3.8 'CloudBees WikiText Security Plugin'
  * windows-slaves:1.3.1 'Windows Slaves Plugin'
  * workflow-aggregator:2.5 'Pipeline'
  * workflow-api:2.24 'Pipeline: API'
  * workflow-basic-steps:2.6 'Pipeline: Basic Steps'
  * workflow-cps:2.41 'Pipeline: Groovy'
  * workflow-cps-checkpoint:2.4 'CloudBees Pipeline: Groovy Checkpoint Plugin'
  * workflow-cps-global-lib:2.9 'Pipeline: Shared Groovy Libraries'
  * workflow-durable-task-step:2.17 'Pipeline: Nodes and Processes'
  * workflow-job:2.16 'Pipeline: Job'
  * workflow-multibranch:2.16 'Pipeline: Multibranch'
  * workflow-scm-step:2.6 'Pipeline: SCM Step'
  * workflow-step-api:2.14 'Pipeline: Step API'
  * workflow-support:2.16 'Pipeline: Supporting APIs'

Packaging details
-----------------

#UNKNOWN#

CloudBees Product Description
-----------------------------

 * Product Distribution: rolling 
 * Product Id: cje 
 * Product Name: CloudBees Jenkins Enterprise 
 * Product Solution: CloudBees Jenkins Platform 
 * Product Version: 2.89.3.4 

License details
---------------

 * Jenkins Instance ID:  `8c0b999ec97ac08c343d48de63dadedb`
 * Licensed Instance ID: `*5A16494FC97C22FC1A50133CFF8FFB*`
 * Expires:              Feb 10, 2018
 * Issued to:            Damien DUPORTAL - Training DFS Feb 2018
 * Organization:         CloudBees
 * Edition:              Enterprise Edition
     - Team Management
     - Security
     - Analytics
     - Core
     - Build & Master Resilience
     - Optimized Utilization
     - Enterprise Management
     - Enterprise Continuous Delivery
     - CloudBees Jenkins Enterprise license with 4 executors
